wally wallpaper changer on Fedora 18

How I got wally working on Fedora 18
Install prerequisites:
sudo yum -y install qt-devel libX11 libX11-devel cmake gcc-c++
Get source from SourceForge
Extract the tarball: tar -zxvf wally-2.4.4.tar.gz
Enter the directory: cd wally-2.4.4/
Go into the build directory: cd build
cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="-lX11" ..
make
sudo make install

Arduino 1.0.x on Fedora 17

After installing Arduino 1.0.1 (from the source on arduino.cc) I get these errors running the IDE:

Experimental: JNI_OnLoad called.
Stable Library
=========================================
Native lib Version = RXTX-2.1-7
Java lib Version = RXTX-2.1-7
check_group_uucp(): error testing lock file creation Error details:Permission deniedcheck_lock_status: No permission to create lock file.
please see: How can I use Lock Files with rxtx? in INSTALL

Some info about hacking the GMLAN bus

So you have the right idea, unfortunately this vehicle is a bit unique. This is because the Body Control Module is responsable for unlocking the doors AND receiving the RKE key fob commands so there is no reason for there to be a CAN BUS message to control the locks on this using the RKE messages. So don't bother with pressing the key fob and trying to find a command to replicate, this won't work.

HOWEVER, OnStar has a message it sends to control the locks. So you can simply watch for that message:
Unlock Drivers Door is: 0x1024E097 00 02 FF
Unlock All Doors is: 0x1024E097 00 03 FF

Interactively change the gdm login screen background

As root:

ln -s /usr/share/applications/gnome-appearance-properties.desktop \
/usr/share/gdm/autostart/LoginWindow/

Logout.
The properties window is shown when gdm restarts.
Here's a new way to do the same thing, but easier:

xhost +local:gdm
sudo -u gdm dbus-launch gnome-appearance-properties
xhost -local:gdm

amavisd fails after update

I stopped receiving email after an upgrade. Starting the amavisd service shows the errors:

Starting Mail Virus Scanner (amavisd): fetch_modules: error loading required module Compress/Zlib.pm:
dualvar is only available with the XS version of Scalar::Util at /usr/lib/perl5/site_perl/5.8.8/Compress/Zlib.pm line 8
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/Compress/Zlib.pm line 8.
Compilation failed in require at /usr/sbin/amavisd line 197.
ERROR: MISSING REQUIRED BASIC MODULES:
Compress::Zlib